<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionButtonsBlockCreateButtonsStream extends Migration
{

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'buttons',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'text'  => [
            'required' => true,
        ],
        'type' => [
            'required' => true,
        ],
        'target' => [
            'required' => true,
        ],
        'url'  => [
            'required' => true,
        ],
    ];

}
