<?php

namespace Terrostar\ButtonsBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Anomaly\Streams\Platform\Model\ButtonsBlock\ButtonsBlockBlocksEntryModel;
use Anomaly\Streams\Platform\Model\ButtonsBlock\ButtonsBlockButtonssEntryModel;
use Terrostar\ButtonsBlockExtension\Block\BlockModel;
use Terrostar\ButtonsBlockExtension\Buttons\ButtonModel;

class ButtonsBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        ButtonsBlockBlocksEntryModel::class           => BlockModel::class,
        ButtonsBlockButtonssEntryModel::class => ButtonModel::class,
    ];
}
